"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageEntity = void 0;
const typeorm_1 = require("typeorm");
const _common_enum_1 = require("../enums/_common.enum");
const message_enum_1 = require("../enums/message.enum");
const _common_entity_1 = require("./_common.entity");
let MessageEntity = class MessageEntity extends _common_entity_1.CommonEntity {
};
exports.MessageEntity = MessageEntity;
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", String)
], MessageEntity.prototype, "conversation_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", String)
], MessageEntity.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        array: true,
        default: [],
    }),
    __metadata("design:type", Array)
], MessageEntity.prototype, "user_target", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        nullable: true,
    }),
    __metadata("design:type", String)
], MessageEntity.prototype, "message", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'json',
        nullable: true,
    }),
    __metadata("design:type", String)
], MessageEntity.prototype, "media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'json',
        nullable: true,
    }),
    __metadata("design:type", Object)
], MessageEntity.prototype, "thumb", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'json',
        nullable: true,
    }),
    __metadata("design:type", Object)
], MessageEntity.prototype, "sticker", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'json',
        nullable: true,
    }),
    __metadata("design:type", Object)
], MessageEntity.prototype, "tag", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "no_of_reaction", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "is_pinned", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "is_share", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "is_timeline", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", String)
], MessageEntity.prototype, "message_reply_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "no_of_like", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "no_of_love", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "no_of_wow", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "no_of_sad", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "no_of_haha", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "no_of_angry", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], MessageEntity.prototype, "link_join_group", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", String)
], MessageEntity.prototype, "message_vote_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: message_enum_1.MESSAGE_STATUS.ACTIVE,
    }),
    __metadata("design:type", Number)
], MessageEntity.prototype, "status", void 0);
exports.MessageEntity = MessageEntity = __decorate([
    (0, typeorm_1.Entity)('message')
], MessageEntity);
//# sourceMappingURL=message.entity.js.map