export declare enum SOCKET_VERSION {
    VERSION_2 = "v2"
}
export declare enum SOCKET_ON {
    ERROR = "socket-error",
    JOIN_ROOM = "listen-join-room",
    LEAVE_ROOM = "listen-leave-room",
    MESSAGE_TEXT = "listen-message-text",
    MESSAGE_IMAGE = "listen-message-image",
    MESSAGE_VIDEO = "listen-message-video",
    MESSAGE_AUDIO = "listen-message-audio",
    MESSAGE_FILE = "listen-message-file",
    MESSAGE_REPLY = "listen-message-reply",
    MESSAGE_STICKER = "listen-message-sticker",
    MESSAGE_REVOKE = "listen-message-revoke",
    MESSAGE_PINNED = "listen-message-pinned",
    MESSAGE_REMOVE_PINNED = "listen-message-remove-pinned",
    REACTION_MESSAGE = "listen-reaction-message",
    MESSAGE_SHARE = "listen-message-share",
    TYPING_ON = "listen-typing-on",
    TYPING_OFF = "listen-typing-off",
    FRIEND_ONLINE = "listen-friend-online",
    FRIEND_OFFLINE = "listen-friend-offline",
    UPDATE_NAME = "listen-update-name-conversation",
    UPDATE_AVATAR = "listen-update-avatar-conversation",
    UPDATE_BACKGROUND = "listen-update-background-conversation",
    OUT_ROOM = "listen-out-conversation",
    ADD_DEPUTY = "listen-add-deputy-conversation",
    REMOVE_DEPUTY = "listen-remove-deputy-conversation",
    UPDATE_PERMISSION = "listen-update-permission-conversation",
    ADD_MEMBER = "listen-add-member-conversation",
    MEMBER_WAITING_CONFIRM = "listen-waiting-confirm-member",
    REMOVE_MEMBER = "listen-remove-member-conversation",
    CREATE_CONVERSATION = "listen-new-conversation",
    DISBAND_CONVERSATION = "listen-disband-conversation",
    MESSAGE_SETTING = "listen-message-setting",
    CONFIRM_MEMBER = "listen-confirm-member",
    MESSAGE_JOIN_CONVERSATION = "listen-message-join-conversation",
    CONVERSATION_PERSONAL_SETTING = "listen-message-conversation-personal-setting",
    DELETE_CONVERSATION = "listen-delete-conversation",
    CREATE_VOTE = "listen-message-create-vote",
    MESSAGE_VOTE = "listen-message-vote",
    MESSAGE_VOTE_OPTIONS = "listen-message-vote-options",
    MESSAGE_BLOCK_VOTE = "listen-message-block-vote",
    MESSAGE_CHANGE_VOTE = "listen-message-change-vote",
    ADD_VOTE_OPTION = "listen-add-vote-option",
    MESSAGE_VOTE_PINNED = "listen-message-vote-pinned",
    REMOVE_MESSAGE_VOTE_PINNED = "listen-remove-message-vote-pinned"
}
export declare enum SOCKET_EMIT {
    JOIN_ROOM = "join-room",
    LEAVE_ROOM = "leave-room",
    MESSAGE_TEXT = "message-text",
    MESSAGE_IMAGE = "message-image",
    MESSAGE_VIDEO = "message-video",
    MESSAGE_AUDIO = "message-audio",
    MESSAGE_FILE = "message-file",
    MESSAGE_REPLY = "message-reply",
    MESSAGE_STICKER = "message-sticker",
    MESSAGE_REVOKE = "message-revoke",
    MESSAGE_VOTE_OPTIONS = "message-vote-options",
    MESSAGE_PINNED = "message-pinned",
    MESSAGE_REMOVE_PINNED = "message-remove-pinned",
    MESSAGE_VOTE_PINNED = "message-vote-pinned",
    REMOVE_MESSAGE_VOTE_PINNED = "remove-message-vote-pinned",
    REACTION_MESSAGE = "reaction-message",
    TYPING_ON = "typing-on",
    TYPING_OFF = "typing-off"
}
export declare enum SOCKET_ERROR_TYPE {
    DEFAULT = 0,
    LOST_CONNECT = 1,
    CONVERSATION_NOT_FOUND = 2
}
export declare enum REDIS_PUB_SUB_ENUM {
    REDIS_EMIT_JOIN_ROOM = "redis_emit_join_room",
    REDIS_EMIT_MESSAGE_TEXT = "redis_emit_message_text",
    REDIS_EMIT_MESSAGE_IMAGE = "redis_emit_message_image",
    REDIS_EMIT_MESSAGE_VIDEO = "redis_emit_message_video",
    REDIS_EMIT_MESSAGE_AUDIO = "redis_emit_message_audio",
    REDIS_EMIT_MESSAGE_FILE = "redis_emit_message_file",
    REDIS_EMIT_MESSAGE_REPLY = "redis_emit_message_reply",
    REDIS_EMIT_MESSAGE_PINNED = "redis_emit_message_pin",
    REDIS_EMIT_MESSAGE_REMOVE_PINNED = "redis_emit_message_remove_pinned",
    REDIS_EMIT_MESSAGE_REVOKE = "redis_emit_message_revoke",
    REDIS_EMIT_MESSAGE_STICKER = "redis_emit_message_sticker",
    REDIS_EMIT_MESSAGE_SHARE = "redis_emit_message_share",
    REDIS_EMIT_MESSAGE_CREATE_VOTE = "redis_emit_message_create_vote",
    REDIS_EMIT_MESSAGE_BLOCK_VOTE = "redis_emit_message_block_vote",
    REDIS_EMIT_MESSAGE_ADD_OPTION_VOTE = "redis_emit_message_add_option_vote",
    REDIS_EMIT_MESSAGE_VOTE = "redis_emit_message_vote",
    REDIS_EMIT_MESSAGE_CHANGE_VOTE = "redis_emit_message_change_vote",
    REDIS_EMIT_MESSAGE_VOTE_PINNED = "redis_emit_message_vote_pinned",
    REDIS_EMIT_REMOVE_MESSAGE_VOTE_PINNED = "redis_emit_remove_message_vote_pinned",
    REDIS_EMIT_MESSAGE_VOTE_OPTIONS = "redis_emit_message_vote_options",
    REDIS_EMIT_MESSAGE_UPDATE_NAME_CONVERSATION = "redis_emit_message_update_name_conversation",
    REDIS_EMIT_MESSAGE_UPDATE_AVATAR_CONVERSATION = "redis_emit_message_update_avatar_conversation",
    REDIS_EMIT_MESSAGE_UPDATE_BACKGROUND_CONVERSATION = "redis_emit_message_update_background_conversation",
    REDIS_EMIT_MESSAGE_OUT_CONVERSATION = "redis_emit_message_out_conversation",
    REDIS_EMIT_MESSAGE_ADD_DEPUTY = "redis_emit_message_add_deputy",
    REDIS_EMIT_MESSAGE_REMOVE_DEPUTY = "redis_emit_message_remove_deputy",
    REDIS_EMIT_MESSAGE_UPDATE_PERMISSION = "redis_emit_message_update_permission",
    REDIS_EMIT_MESSAGE_ADD_MEMBER = "redis_emit_message_add_member",
    REDIS_EMIT_MESSAGE_WAITING_CONFIRM_MEMBER = "redis_emit_message_waiting_confirm_member",
    REDIS_EMIT_MESSAGE_REMOVE_MEMBER = "redis_emit_message_remove_member",
    REDIS_EMIT_MESSAGE_NEW_CONVERSATION = "redis_emit_message_new_conversation",
    REDIS_EMIT_MESSAGE_CONFIRM_MEMBER = "redis_emit_message_confirm_member",
    REDIS_EMIT_MESSAGE_JOIN_CONVERSATION = "redis_emit_message_join_conversation",
    REDIS_EMIT_MESSAGE_LINK_SHARE = "redis_emit_message_link_share",
    REDIS_EMIT_DELETE_CONVERSATION = "redis_emit_delete_conversation",
    REDIS_EMIT_TYPING_ON = "redis_emit_typing_on",
    REDIS_EMIT_TYPING_OFF = "redis_emit_typing_off",
    REDIS_EMIT_SETTING = "redis_emit_setting",
    REDIS_EMIT_REACTION = "redis_emit_reaction",
    REDIS_EMIT_DISBAND_CONVERSATION = "redis_emit_disband_conversation",
    REDIS_EMIT_FRIEND_ONLINE = "redis_emit_friend_online",
    REDIS_EMIT_FRIEND_OFFLINE = "redis_emit_friend_offline",
    REDIS_EMIT_CONVERSATION_PERSONAL = "redis_emit_conversation_personal"
}
