"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MESSAGE_TYPE = exports.MESSAGE_STATUS = exports.MESSAGE_VOTE_STATUS = exports.MESSAGE_REACTION_NAME = exports.MESSAGE_REACTION_TYPE = exports.MESSAGE_PINNED_STATUS = void 0;
var MESSAGE_PINNED_STATUS;
(function (MESSAGE_PINNED_STATUS) {
    MESSAGE_PINNED_STATUS[MESSAGE_PINNED_STATUS["UNPINNED"] = 0] = "UNPINNED";
    MESSAGE_PINNED_STATUS[MESSAGE_PINNED_STATUS["PINNED"] = 1] = "PINNED";
})(MESSAGE_PINNED_STATUS || (exports.MESSAGE_PINNED_STATUS = MESSAGE_PINNED_STATUS = {}));
var MESSAGE_REACTION_TYPE;
(function (MESSAGE_REACTION_TYPE) {
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["LIKE"] = 1] = "LIKE";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["LOVE"] = 2] = "LOVE";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["HAHA"] = 3] = "HAHA";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["WOW"] = 4] = "WOW";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["SAD"] = 5] = "SAD";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["ANGRY"] = 6] = "ANGRY";
})(MESSAGE_REACTION_TYPE || (exports.MESSAGE_REACTION_TYPE = MESSAGE_REACTION_TYPE = {}));
exports.MESSAGE_REACTION_NAME = {
    [MESSAGE_REACTION_TYPE.LIKE]: 'no_of_like',
    [MESSAGE_REACTION_TYPE.LOVE]: 'no_of_love',
    [MESSAGE_REACTION_TYPE.HAHA]: 'no_of_haha',
    [MESSAGE_REACTION_TYPE.WOW]: 'no_of_wow',
    [MESSAGE_REACTION_TYPE.SAD]: 'no_of_sad',
    [MESSAGE_REACTION_TYPE.ANGRY]: 'no_of_angry',
};
var MESSAGE_VOTE_STATUS;
(function (MESSAGE_VOTE_STATUS) {
    MESSAGE_VOTE_STATUS[MESSAGE_VOTE_STATUS["DELETED"] = 0] = "DELETED";
    MESSAGE_VOTE_STATUS[MESSAGE_VOTE_STATUS["ACTIVE"] = 1] = "ACTIVE";
})(MESSAGE_VOTE_STATUS || (exports.MESSAGE_VOTE_STATUS = MESSAGE_VOTE_STATUS = {}));
var MESSAGE_STATUS;
(function (MESSAGE_STATUS) {
    MESSAGE_STATUS[MESSAGE_STATUS["DELETED"] = 0] = "DELETED";
    MESSAGE_STATUS[MESSAGE_STATUS["ACTIVE"] = 1] = "ACTIVE";
})(MESSAGE_STATUS || (exports.MESSAGE_STATUS = MESSAGE_STATUS = {}));
var MESSAGE_TYPE;
(function (MESSAGE_TYPE) {
    MESSAGE_TYPE[MESSAGE_TYPE["TEXT"] = 1] = "TEXT";
    MESSAGE_TYPE[MESSAGE_TYPE["IMAGE"] = 2] = "IMAGE";
    MESSAGE_TYPE[MESSAGE_TYPE["VIDEO"] = 3] = "VIDEO";
    MESSAGE_TYPE[MESSAGE_TYPE["AUDIO"] = 4] = "AUDIO";
    MESSAGE_TYPE[MESSAGE_TYPE["FILE"] = 5] = "FILE";
    MESSAGE_TYPE[MESSAGE_TYPE["REPLY"] = 6] = "REPLY";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_NAME"] = 7] = "UPDATE_NAME";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_AVATAR"] = 8] = "UPDATE_AVATAR";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_BACKGROUND"] = 9] = "UPDATE_BACKGROUND";
    MESSAGE_TYPE[MESSAGE_TYPE["REMOVE_USER"] = 10] = "REMOVE_USER";
    MESSAGE_TYPE[MESSAGE_TYPE["ADD_NEW_USER"] = 11] = "ADD_NEW_USER";
    MESSAGE_TYPE[MESSAGE_TYPE["CHANGE_PERMISSION_USER"] = 12] = "CHANGE_PERMISSION_USER";
    MESSAGE_TYPE[MESSAGE_TYPE["USER_OUT_GROUP"] = 13] = "USER_OUT_GROUP";
    MESSAGE_TYPE[MESSAGE_TYPE["REVOKE_MESSAGE"] = 14] = "REVOKE_MESSAGE";
    MESSAGE_TYPE[MESSAGE_TYPE["STICKER"] = 15] = "STICKER";
    MESSAGE_TYPE[MESSAGE_TYPE["NEW_GROUP"] = 16] = "NEW_GROUP";
    MESSAGE_TYPE[MESSAGE_TYPE["YOU_IS_CHANGE_PERMISSION"] = 17] = "YOU_IS_CHANGE_PERMISSION";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_update_profile"] = 18] = "UPDATE_is_update_profile";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_pinned"] = 19] = "UPDATE_is_pinned";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_create_reminder"] = 20] = "UPDATE_is_create_reminder";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_create_vote"] = 21] = "UPDATE_is_create_vote";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_confirm_new_member"] = 22] = "UPDATE_is_confirm_new_member";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_off_confirm_new_member"] = 23] = "UPDATE_is_off_confirm_new_member";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_view_old_message_with_new_member"] = 24] = "UPDATE_is_view_old_message_with_new_member";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_join_with_link"] = 25] = "UPDATE_is_join_with_link";
    MESSAGE_TYPE[MESSAGE_TYPE["UPDATE_is_send_message"] = 26] = "UPDATE_is_send_message";
    MESSAGE_TYPE[MESSAGE_TYPE["PINNED"] = 27] = "PINNED";
    MESSAGE_TYPE[MESSAGE_TYPE["REMOVE_PINNED"] = 28] = "REMOVE_PINNED";
    MESSAGE_TYPE[MESSAGE_TYPE["ADD_DEPUTY"] = 29] = "ADD_DEPUTY";
    MESSAGE_TYPE[MESSAGE_TYPE["REMOVE_DEPUTY"] = 30] = "REMOVE_DEPUTY";
    MESSAGE_TYPE[MESSAGE_TYPE["CREATE_VOTE"] = 31] = "CREATE_VOTE";
    MESSAGE_TYPE[MESSAGE_TYPE["VOTE"] = 32] = "VOTE";
    MESSAGE_TYPE[MESSAGE_TYPE["CHANGE_VOTE"] = 33] = "CHANGE_VOTE";
    MESSAGE_TYPE[MESSAGE_TYPE["ADD_VOTE_OPTION"] = 34] = "ADD_VOTE_OPTION";
    MESSAGE_TYPE[MESSAGE_TYPE["WAITING_CONFIRM"] = 35] = "WAITING_CONFIRM";
    MESSAGE_TYPE[MESSAGE_TYPE["BLOCK_VOTE"] = 36] = "BLOCK_VOTE";
    MESSAGE_TYPE[MESSAGE_TYPE["MESSAGE_VOTE_PINNED"] = 37] = "MESSAGE_VOTE_PINNED";
    MESSAGE_TYPE[MESSAGE_TYPE["REMOVE_MESSAGE_VOTE_PINNED"] = 38] = "REMOVE_MESSAGE_VOTE_PINNED";
    MESSAGE_TYPE[MESSAGE_TYPE["SHARE"] = 39] = "SHARE";
})(MESSAGE_TYPE || (exports.MESSAGE_TYPE = MESSAGE_TYPE = {}));
//# sourceMappingURL=message.enum.js.map