import { Column, Entity } from 'typeorm';
import { BOOLEAN, IMedia } from '../enums/_common.enum';
import { CATEGORY_STICKER_STATUS } from '../enums/sticker.enum';
import { CommonEntity } from './_common.entity';

@Entity('category_sticker')
export class CategoryStickerEntity extends CommonEntity {
  @Column({
    type: 'bigint',
    nullable: true,
  })
  owner_id: string;

  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'json',
  })
  media: IMedia;

  @Column({
    type: 'int',
    default: 0,
  })
  price: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_download: number;

  @Column({
    type: 'smallint',
  })
  no_of_sticker: number;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  delete_reason: string; // Lý do xoá

  @Column({
    type: 'varchar',
    nullable: true,
  })
  reject_reason: string; // Lý do từ chối duyệt

  @Column({
    type: 'smallint',
  })
  is_admin: BOOLEAN;

  @Column({
    type: 'smallint',
  })
  is_bypass_download: BOOLEAN;

  @Column({
    type: 'smallint',
    default: CATEGORY_STICKER_STATUS.PENDING,
  })
  status: CATEGORY_STICKER_STATUS;
}
