import { Column, Entity } from 'typeorm';
import { BOOLEAN, IMedia, ISticker, ITag, IThumbnail } from '../enums/_common.enum';
import { COMMENT_STATUS } from '../enums/comment.enum';
import { CommonEntity } from './_common.entity';

@Entity('comment')
export class CommentEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  post_id: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  parent_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'json',
    nullable: true,
  })
  media: IMedia;

  @Column({
    type: 'json',
    nullable: true,
  })
  sticker: ISticker;

  @Column({
    type: 'text',
    nullable: true,
  })
  message: string;

  @Column({
    type: 'json',
    nullable: true,
  })
  tag: ITag;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_like: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_love: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_haha: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_angry: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_sad: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_wow: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_nothing: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_reply: number;

  @Column({
    type: 'json',
    nullable: true,
  })
  thumbnail: IThumbnail;

  @Column({
    type: 'int',
  })
  is_admin: BOOLEAN;

  @Column({
    type: 'int',
  })
  is_owner: BOOLEAN;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  restaurant_id: string;

  @Column({
    type: 'int',
    default: COMMENT_STATUS.ACTIVE,
  })
  status: COMMENT_STATUS;
}
