import { Column, Entity } from 'typeorm';
import { BOOLEAN } from '../enums/_common.enum';
import { MESSAGE_VOTE_STATUS } from '../enums/message.enum';
import { CommonEntity } from './_common.entity';

@Entity('message_vote')
export class MessageVoteEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
  })
  no_of_option: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  no_of_user_vote: number;

  @Column({
    type: 'varchar',
  })
  content: string;

  @Column({
    type: 'smallint',
    default: BOOLEAN.TRUE,
  })
  is_add_option: BOOLEAN;

  @Column({
    type: 'smallint',
  })
  is_choose_many_option: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_hidden_user: BOOLEAN;

  @Column({
    type: 'timestamp',
    nullable: true,
  })
  end_time: Date;

  @Column({
    type: 'smallint',
    default: MESSAGE_VOTE_STATUS.ACTIVE,
  })
  status: MESSAGE_VOTE_STATUS;
}
